<?php
//lokasi folder fpdf
require("fpdf.php");
require("../_init.php");
require("../_connect2.php");
require("../_funcstd.php");

class laporan extends FPDF{

	function Header(){
		global $title;
		global $subtitle;
		global $detail;
		global $font;
		$this->SetFont("$font",'B',12);
		$this->Cell(0,0,$title,0,0,'',false);
		$this->Ln(5);
		$this->SetFont("$font",'',9);
		$this->Cell(0,0,$subtitle,0,0,'',false);
		$this->Ln(3);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(0,0,0);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,0,'',1,0,'C');
		$this->Ln(3);
		$this->SetFont("times",'i',8);
		$this->Cell(0,0,$detail,0,0,'',false);
		$this->Cell(0,0,'Page '.$this->PageNo().' of {nb}',0,0,'R');
		$this->Ln(5);
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,'Joined Date',1,0,'C',true);
		$this->Cell(30,6,'Branch',1,0,'C',true);
		$this->Cell(110,6,'Member Name',1,0,'C',true);
		$this->Cell(30,6,'Balance',1,0,'C',true);
		$this->Ln(7);
	}

	function namacabang($cabang){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,4,$cabang,0,0,'',true);
		$this->Ln(5);
	}

	function namapelanggan($pelanggan){
		$this->SetFont("Times",'I',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,4,$pelanggan,0,0,'',true);
		$this->Ln(5);
	}

	function Isi ($col1,$col2,$col3,$col4){
		global $font;
		$this->SetFont("$font",'',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,4,$col1,0,0,'',true);
		$this->Cell(30,4,$col2,0,0,'',true);
		$this->Cell(110,4,$col3,0,0,'',true);
		$this->Cell(30,4,$col4,0,0,'R',true);
		$this->Ln(5);
	}

	function total ($tot){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(160,6,'Total',1,0,'C',true);
		$this->Cell(30,6,$tot,1,0,'R',true);
		$this->Ln(5);
	}

	// Page footer
	function Footer(){
		$this->SetY(-15);
		$this->SetFont('Arial','I',8);
		$this->Cell(0,10,'Printed: '. date('D, d-m-Y H:i:s') .' Data Copied: '. date('D, d-m-Y H:i:s'). ' Prepared by '. $_SESSION['login_user'],0,0,'');
	}
	
}

//get parameter
if ( $_POST['cabang'] != -1) {
	$wherecab = "tblmutasi.KodeCabang = " . $_POST['cabang'] ." ";
} else {
	$wherecab = "";
}

if ( isset($_POST['bulanan']) ) {
	$tahun = isset($_POST['tahun']) ? $_POST['tahun'] : '';
	$bulan = isset($_POST['bulan']) ? $_POST['bulan'] : '';
	$charmonth = date('F', mktime(0, 0, 0, $bulan, 10));
	$detail = 'For Month :' . (isset($charmonth) ? $charmonth : '') .' '. (isset($tahun)? $tahun : '');
	// $wheretanggal = "YEAR(tblmutasi.Input_DateTime) = '$tahun' AND MONTH(tblmutasi.Input_DateTime) = '$bulan'";
	$wheretanggal = "tblmutasi.Input_DateTime <= '" . date('Y-m-t', strtotime('01-' . $bulan . '-' . $tahun ) ) . "'"  ;
} else {
	$tanggal = JQueryDate2Date($_POST['tanggal']);
	$detail = 'For Date : ' . (isset($_POST['tanggal']) ? $_POST['tanggal'] : '');
	// $wheretanggal = "tblmutasi.Input_DateTime BETWEEN '$tanggal' AND ('$tanggal'+INTERVAL 1 DAY)";
	$wheretanggal = "tblmutasi.Input_DateTime <= ('$tanggal'+INTERVAL 1 DAY)";
}

if ($wherecab != ""){
	$wherecond = "WHERE " . $wherecab . " AND " . $wheretanggal;
} else {
	$wherecond = "WHERE " . $wheretanggal;
}

// pdf setting
$pdf = new laporan();
$title = NAMA_PERUSAHAAN;
$subtitle = 'Total Balance Report';
$pdf->SetTitle($subtitle);
$font = 'Helvetica';
// $font = 'Tahoma';
// $pdf->AddFont('Tahoma','','tahoma.php');
// $pdf->AddFont('Tahoma','B','tahomabd.php');
$pdf->AliasNbPages();
$pdf->AddPage('P','A4');
$pdf->SetTopMargin(20);
$pdf->SetLeftMargin(10);
$pdf->SetRightMargin(10);

//variable
$total = array();
//get database
$select = "SELECT tblmutasi.Input_DateTime AS Input_DateTime, tblpelang.Nama AS Nama, tblcabang.NamaCabang AS NamaCabang, SUM(tblmutasi.Debet) AS Debet, SUM(tblmutasi.Kredit) AS Kredit";
$perintahdb = "$select FROM tblmutasi INNER JOIN tblcabang ON tblmutasi.KodeCabang = tblcabang.KodeCabang INNER JOIN tblpelang ON tblmutasi.PelangID = tblpelang.ID $wherecond GROUP BY PelangID";
$sqlquery = DBQuery( $perintahdb );
while ( ( $sqlrow = @DBFetchAssoc( $sqlquery ) ) ) {
	$sisasaldo = (isset($sisasaldo) == 0 ? 0 : $sisasaldo) + $sqlrow['Debet'] - $sqlrow['Kredit'];
	if ( $sisasaldo > 0 ) {
		$pdf->Isi( @Date2JQueryDate($sqlrow['Input_DateTime']), $sqlrow['NamaCabang'], $sqlrow['Nama'], @ShowFormatDigitNumber($sisasaldo));
		$total[] = $sisasaldo;
	}
	$sisasaldo = 0;
}

$pdf->total(  @ShowFormatDigitNumber(array_sum($total)));

$pdf->Output('Total Balance Report ' . $detail .'.pdf','I');
?>